Loading...
Searching...
No Matches
pcm_softvol.c File Reference

PCM Soft Volume Plugin Interface. More...

Include dependency graph for pcm_softvol.c:

## Functions

int | snd_pcm_softvol_open (snd_pcm_t **pcmp, const char *name, snd_pcm_format_t sformat, int ctl_card, snd_ctl_elem_id_t *ctl_id, int cchannels, double min_dB, double max_dB, int resolution, snd_pcm_t *slave, int close_slave)
| Creates a new SoftVolume PCM.
int | _snd_pcm_softvol_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new Soft Volume PCM.

## Detailed Description

PCM Soft Volume Plugin Interface.

Author
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  2004

## Function Documentation

## _snd_pcm_softvol_open()

int _snd_pcm_softvol_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode
| ) |  |

Creates a new Soft Volume PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  root | Root configuration node
  conf | Configuration node with Soft Volume PCM description
  stream | Stream type
  mode | Stream mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

## snd_pcm_softvol_open()

int snd_pcm_softvol_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_pcm_format_t | sformat,
|  | int | ctl_card,
|  | snd_ctl_elem_id_t * | ctl_id,
|  | int | cchannels,
|  | double | min_dB,
|  | double | max_dB,
|  | int | resolution,
|  | snd_pcm_t * | slave,
|  | int | close_slave
| ) |  |

Creates a new SoftVolume PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  sformat | Slave format
  ctl_card | card index of the control
  ctl_id | The control element
  cchannels | PCM channels
  min_dB | minimal dB value
  max_dB | maximal dB value
  resolution | resolution of control
  slave | Slave PCM handle
  close_slave | When set, the slave PCM handle is closed with copy PCM

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.